package indep_set.LaTeX;

import java.io.BufferedReader;
import java.io.IOException;

public class LaTeXTemplate {
	
	static final String REPLACE_TOKEN = "#####";
	
	BufferedReader reader;
	
	public LaTeXTemplate(BufferedReader reader){
		this.reader = reader;
	}
	
	public String header() throws IOException{
		StringBuilder sb = new StringBuilder();
		String l;
		while ((l = reader.readLine()) != null) {
			if (l.equals(REPLACE_TOKEN)){
				break;
			}
			sb.append(l+"\n");
        }
		return sb.toString();
	}
	
	public String footer() throws IOException{
		StringBuilder sb = new StringBuilder();
		String l;
		while ((l = reader.readLine()) != null) {
			sb.append(l+"\n");
        }
		return sb.toString();
	}
	
}
